FROM gitlab-registry.cern.ch/linuxsupport/cc7-base:latest

COPY library-scripts/* /library-scripts/
RUN /library-scripts/common.sh
RUN /library-scripts/git-from-src.sh
RUN /library-scripts/docker.sh

# SHELL ["/bin/bash", "--login", "-o", "pipefail", "-c"]
SHELL ["/bin/bash", "--login", "-c"]
ARG USERNAME=itkpix

# Add user
RUN groupadd $USERNAME && \
    useradd -m -r -g $USERNAME $USERNAME && \
    echo $USERNAME ALL=\(root\) NOPASSWD:ALL > /etc/sudoers.d/$USERNAME && \
    chmod 0440 /etc/sudoers.d/$USERNAME
RUN usermod -aG docker itkpix

USER $USERNAME
ENV HOME="/home/${USERNAME}"
WORKDIR ${HOME}

# COPY library-scripts/python.sh /library-scripts/
RUN /library-scripts/python.sh

# COPY library-scripts/* /library-scripts/
RUN /library-scripts/nodejs.sh
RUN /library-scripts/glab.sh
RUN /library-scripts/starship.sh
RUN /library-scripts/direnv.sh

# USER root
### s6-overlay
# ARG S6_OVERLAY_VERSION=3.1.4.1

# ADD https://github.com/just-containers/s6-overlay/releases/download/v${S6_OVERLAY_VERSION}/s6-overlay-noarch.tar.xz /tmp
# RUN tar -C / -Jxpf /tmp/s6-overlay-noarch.tar.xz
# ADD https://github.com/just-containers/s6-overlay/releases/download/v${S6_OVERLAY_VERSION}/s6-overlay-x86_64.tar.xz /tmp
# RUN tar -C / -Jxpf /tmp/s6-overlay-x86_64.tar.xz
# ENTRYPOINT ["/init"]

# USER $USERNAME
